Enable ORES filters for svwiki
Closed, ResolvedPublic

Description

ORES will have a damaging and goodfaith model for svwiki shortly. Please consider announcing that ORES filters will be coming soon.

Contact @Ainali

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@Trizek-WMF, Rev Scoring is shooting for Sept. 20th to enable, according to Aaron.

@Trizek-WMF, Rev Scoring is shooting for Sept. 20th to enable, according to Aaron.

I'll keep an eye on it, but I fully rely on @Ainali to make the announcements. :)

Ainali added a comment.Sep 7 2017, 6:34 AM

I'll keep an eye on it, but I fully rely on @Ainali to make the announcements. :)

Yes, I'd be happy to announce it.

Lokal_Profil added a subscriber: Lokal_Profil.

Is there any tooling which needs to be activated on svwiki (or ported to svwiki) for editors to start consuming the scores? (e.g. on latest changes etc.)

Halfak added a comment.EditedSep 11 2017, 6:55 PM

@Lokal_Profil, it looks like we have some delays. We'll need to finish T175053 first. Our current ETA for getting ORES in a good state for Swedish wiki is Sept 25th. The Collaboration-Team-Triage should be able to enable the filters at that point.

FWIW, you're caught in a delay that involves us making some fixes to the way that ORES works. Normally, releasing a model doesn't take this long.

In T174559, I trained a model for "damaging" and "goodfaith" that looks like it will work well for you all. Sorry for the delay on deployment :\

Edit: This post said "Aug 25th" and has been edited to say "Sept 25th" instead.

@Halfak , will that be Aug 25th 2018 or should it be Sep 25th?

Yes. Sorry and thank you. I'll edit my post :)

Halfak added a subscriber: awight.Sep 22 2017, 8:52 PM

This deployment has been delayed substantially. We were originally targeting 9/20, then 9/25. Now it seems likely that we'll not be able to deploy this until early October.

The short version of the story is that we need to coordinate a few changes with MediaWiki while deploying this and my team is both understaffed (just me an @awight) and both @awight and I have had some time out of the office.

I'll post an update with a new estimated deploy date next week.

@Halfak Hi Just checking if you have a new ETA for this?

@Lokal_Profil Hi, thank you for your patience! We have the models built and ready to deploy, but it's tied up with a major version upgrade of the revscoring library, so we've been cautious about pushing to production. Still, I think we can get it out by the end of next week, c. November 3.

Halfak added a comment.EditedJan 30 2018, 8:38 PM

@jmatazzoni & @Trizek-WMF, it looks like this task got dropped for a while. Regretfully, I hadn't noted that it was unblocked long ago. Please continue with the deployment of ORES for Swedish Wikipedia.

@Halfak Are there any previous announcements in English I could use as a template for writing an announcement on the Swedish village pump?

Oh... That doesn't mention ORES. I'll need to let @Trizek-WMF get back to you with the content he usually posts.

Aha! I found this: https://cs.wikipedia.org/w/index.php?title=Wikipedie:Pod_l%C3%ADpou_(technika)&diff=prev&oldid=15138830

== Some updates about Recent Changes page ==

Hello!

Sorry to write in English. {{Int:please-translate}}! 

As you may already know, the Collaboration team has created a Beta feature. This feature is on your wiki since few months: "'''[[mw:Special:MyLanguage/Edit Review Improvements/New filters for edit review|{{int:eri-rcfilters-beta-label}}]]'''". You can activate it [[Special:Preferences#mw-prefsection-betafeatures|in your Beta preferences]].

<big>'''What is this feature again?'''</big>

This feature improves [[Special:RecentChanges]] and [[Special:RecentChangesLinked]]. It adds new features that ease vandalism tracking and support of newcomers:
* [[mw:Special:MyLanguage/Help:New filters for edit review/Filtering|Filtering]] - filter recent changes with easy-to-use and powerful filters combinations.
* [[mw:Special:MyLanguage/Help:New filters for edit review/Highlighting function|Highlighting]] - add a colored background to the different changes you are monitoring. It helps quick identification of changes that matter to you.
* [[mw:Special:MyLanguage/Help:New filters for edit review/Quality and Intent Filters|Quality and Intent Filters]] - those filters use ORES predictions. They identify real vandalism or good faith intent contributions that need help. 
You can know more about this project by visiting [[:mw:Special:MyLanguage/Help:New filters for edit review/Quick tour|the quick tour help page]].

<big>'''What's new?'''</big>

Since the release, we have fixed small bugs and improved the interface. We have also released [[mw:Special:MyLanguage/Help:New filters for edit review/Bookmarking|a way to bookmark]] your favorite configurations of filters.

'''We plan to add more new features!''' The full list is [[phab:T162675|on this Phabricator page]] (in English) but here are the most important ones:
* '''Filters for Namespaces and tagged edits''' and, later, '''filters for Categories and Usernames'''
* '''Redesign navigation''' by using an improved time selector and better integrated navigation options
* Add '''live updates'''
* '''Have a more clear interface''' by putting community-defined 'related links' into a collapsible panel

This last change is about links displayed on top of the RecentChanges ([[MediaWiki:Recentchangestext|see how they look like on your wiki]]). We do that change because [[phab:T166919|we have discovered]] that those links are not that much used. Also, they sometimes take a lot of space on small screens. To help people to focus on recent changes patrolling, we will hide those links, with an option to show them. [[phab:T166919|We have created some examples]] to show you how it will look like. If you like to see those links all the time, you will have to click on the link to show them and they will remain open. [[:mw:Topic:Tsl3kgtjno2v1gl5|We welcome your feedback]] about this change.

You can ping me if you have questions. If this message is not at the right place, please move it and tell me. :)

Most of this information was already introduced [[m:Special:MyLanguage/Collaboration/Newsletter/Issues/2017/06|in the Collaboration monthly newsletter]]. [[:m:Special:MyLanguage/Collaboration/Newsletter|Please subscribe to get regular updates]]!

All the best, [[Wikipedista:Trizek (WMF)|Trizek (WMF)]] ([[Diskuse s wikipedistou:Trizek (WMF)|diskuse]]) 6. 7. 2017, 11:16 (CEST)

@Catrope remind me, do we have to do something to turn on the ORES filters on sv.wiki? It looks like all the blockers are closed.

Trizek-WMF added a comment.EditedFeb 2 2018, 3:10 PM

@Halfak Are there any previous announcements in English I could use as a template for writing an announcement on the Swedish village pump?

They aren't. I have coupled most of announces with the announce concerning the new filters. The only relevant element on the message quoted by @Halfak is:

[[mw:Special:MyLanguage/Help:New filters for edit review/Quality and Intent Filters|Quality and Intent Filters]] - those filters use ORES predictions. They identify real vandalism or good faith intent contributions that need help.

I think the best would be for you to read the doc and be ready for any questions following your future message. :)

Halfak added a comment.Feb 2 2018, 3:13 PM

Ooo. Those are some great docs. I haven't seen them in a while.

Halfak awarded a token.Feb 2 2018, 3:13 PM

What's the status on this? As I understand it, ORES is ready to be activated. Is the next step the announcement SVWP? @Ainali, do you think it's worth it to break that out as a separate task for discussion and to keep track of the status of that?

Lokal_Profil added a comment.EditedFeb 21 2018, 11:26 AM

@Halfak @Trizek-WMF @Catrope
Are there any blockers for deploying this other than the need for an announcement message? Wondering since we were planning on writing an update this week to the Swedish Village pump.

My suggestion for an announce message is:

== Några uppdateringar till Senaste ändringar ==

Hej!

För ett tag sedan lanserade WMF:s Collaboration team en ny betafunktion "'''[[mw:Special:MyLanguage/Edit Review Improvements/New filters for edit review|{{int:eri-rcfilters-beta-label}}]]'''". Du kan aktivera denna under [[Special:Preferences#mw-prefsection-betafeatures|dina Beta-inställningar]].

<big>'''Vad innebär denna funktion nu igen?'''</big>

Denna funktion förbättrar [[Special:Senaste ändringar]] and [[Special:Ändringar på angränsande sidor]] genom att lägga till ny funktionalitet för att underlätta vandalismbekämpning samt nybörjarstöd:
* [[mw:Special:MyLanguage/Help:New filters for edit review/Filtering|Filtrering]] - filtrerar senaste ändringar med lättanvända och kraftfulla filterkombinationer.
* [[mw:Special:MyLanguage/Help:New filters for edit review/Highlighting function|Färgmarkering]] - lägg en färgad bakgrund till olika ändringar du bevakar. Detta hjälper dig att snabbt identifiera ändringar som är relevanta för dig.

<big>'''Vad är nytt?'''</big>
Vi har nu aktiverat en ny typ av filter!
* [[mw:Special:MyLanguage/Help:New filters for edit review/Quality and Intent Filters|Kvalitets- och intensionsfilter]] - dessa filter använder [[mw:ORES|ORES]] förutsägelser om vilken typ av redigering en ändring är. De identifierar både verklig vandalism och redigeringar som är välmenta men kan behöva lite hjälp.

-- ~~~~

Nothing is blocked on the Scoring-platform-team side. I think the next steps are to announce and flip the configuration flag to turn it on (which is a process that Collaboration-Team-Triage handles).

@Halfak @Trizek-WMF @Catrope
Are there any blockers for deploying this other than the need for an announcement message? Wondering since we were planning on writing an update this week to the Swedish Village pump.

Sorry, this task (and other related ones) slipped from our radar. I'll be working on the pre-setup today, and if I don't run into any weird problems, I can do the deployment as early as Monday. Is that OK or do you want more time to announce?

@Halfak @Trizek-WMF @Catrope
Are there any blockers for deploying this other than the need for an announcement message? Wondering since we were planning on writing an update this week to the Swedish Village pump.

Sorry, this task (and other related ones) slipped from our radar. I'll be working on the pre-setup today, and if I don't run into any weird problems, I can do the deployment as early as Monday. Is that OK or do you want more time to announce?

Monday would be great. Thanks!

Alright! Sorry for the late notice, but I'll schedule this for the SWAT deployment at 4pm Pacific Time today (midnight UTC). That's technically in the very early morning on Tuesday in Sweden, but I hope that's OK.

Change 414859 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable ORES filters on svwiki

https://gerrit.wikimedia.org/r/414859

Change 414860 had a related patch set uploaded (by Awight; owner: Awight):
[operations/mediawiki-config@master] Enable Swedish on the beta cluster

https://gerrit.wikimedia.org/r/414860

Change 414859 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable ORES filters on svwiki

https://gerrit.wikimedia.org/r/414859

Mentioned in SAL (#wikimedia-operations) [2018-02-27T00:49:13Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Enable ORES filters on svwiki (T174560) (duration: 00m 56s)

Change 414873 had a related patch set uploaded (by Awight; owner: Awight):
[operations/puppet@production] Add eswikibooks and svwiki to the beta cluster

https://gerrit.wikimedia.org/r/414873

Change 414874 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Follow-up 178936e19d9: add very likely bad faith filter for svwiki

https://gerrit.wikimedia.org/r/414874

Change 414874 merged by jenkins-bot:
[operations/mediawiki-config@master] Follow-up 178936e19d9: add very likely bad faith filter for svwiki

https://gerrit.wikimedia.org/r/414874

Mentioned in SAL (#wikimedia-operations) [2018-02-27T00:55:26Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: add very likely bad faith filter on svwiki (T174560) (duration: 00m 57s)

Catrope closed this task as Resolved.Feb 27 2018, 1:15 AM
Catrope claimed this task.

The filter labels have lots of untranslated strings, which is pretty bad. I would consider disabling the filters if we can't get the translations finished ASAP.

Probably better to have the untranslated functionality that was requested than to take it away. I'm sure many swedes have fallback languages that are covered.

awight reopened this task as Open.Feb 27 2018, 3:25 PM
awight added a project: I18n.

Posted it as a reply to the announcement and now all translated. I notice that the terminology differs somewhat theough the translation though... glossary support in translatewiki wouldnt be bad.

Trizek-WMF closed this task as Resolved.Mar 1 2018, 4:04 PM

Posted it as a reply to the announcement and now all translated. I notice that the terminology differs somewhat theough the translation though...

Thanks!

glossary support in translatewiki wouldnt be bad.

What kind of support would you have expected about this? What kind of terms where missing or should have been defined more properly?

glossary support in translatewiki wouldnt be bad.

What kind of support would you have expected about this? What kind of terms where missing or should have been defined more properly?

I meant software support to make it easier for translators to reuse the same terms, e.g. a translation of "prediction" that does not make you think of tarot cards. But this is something I know have been discussed before without getting any clear solution.

Change 414873 abandoned by Awight:
Add eswikibooks and svwiki to the beta cluster

https://gerrit.wikimedia.org/r/414873

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 8 2018, 8:16 PM